<html>
<head>
<title>Ogre::MeshPtr Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MeshPtr Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MeshPtr" --><!-- doxytag: inherits="SharedPtr&lt; Mesh &gt;" -->
<p>Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>.  
 <a href="classOgre_1_1MeshPtr.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::MeshPtr:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1MeshPtr__inherit__graph.gif" border="0" usemap="#Ogre_1_1MeshPtr_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1MeshPtr_inherit__map" id="Ogre_1_1MeshPtr_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1SharedPtr.html" title="Ogre::SharedPtr\&lt; Mesh \&gt;" alt="" coords="5,5,176,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1MeshPtr-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html#abbec119ed3bb38b54bb66e38f2ea2b1c">MeshPtr</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html#a2f1add9de3a418de7ba564491697b93e">MeshPtr</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *rep)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html#a4fdd20db6401f38a40b1ebfe6c97ab9b">MeshPtr</a> (const <a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html#aebb20f59bcb21a19a197e290e705effd">MeshPtr</a> (const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html#ab011ed31dd7e9addd0850b2da9100052">operator=</a> (const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;r)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator used to convert a ResourcePtr to a <a class="el" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>.  <a href="#ab011ed31dd7e9addd0850b2da9100052"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a6c7563f3047bcd454dffae2b297a87a1">operator*</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a756cec152c2db605fe7424da7f8e879b">operator-&gt;</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a2c3ed4a7b5574c4e53adec450fd537b0">get</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#ac8d90e023455dc3299f48722e6068e4a">bind</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *rep, <a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a> inFreeMethod=<a class="el" href="group__General.html#gga3970484e048d1352a7e59b61186b5f2aadae32e4e84712917731325c903fa14dd">SPFM_DELETE</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Binds rep to the SharedPtr.  <a href="#ac8d90e023455dc3299f48722e6068e4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#acd2b97578b72dd4abc33471a93ca4b91">unique</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a29e90ed7b4339cce1cc7e6be919e78bb">useCount</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a15e055008751a7c20bdde38662d5f0a1">getPointer</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a2d8365d61e610b98e0d36d514ab29017">freeMethod</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a8a223db784efd7aa766792649de2f2a0">isNull</a> (void) const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#ae23c79e49621afdb17fc32f30519859f">setNull</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshPtr.html#ac3c7d33a2533d416826dbcebbc7a238e">destroy</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override destroy since we need to delete <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> after fully defined.  <a href="#ac3c7d33a2533d416826dbcebbc7a238e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#aa9225d4dac90501b6a5f0b2b49ea2eed">release</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#af07cad7e719e517472410d87f4e974ea">swap</a> (<a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> &gt; &amp;other)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a8a5094cabd90223647525fe162e94e57">pRep</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a52f9915e259723090662cca7c3c51d52">pUseCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a81eed90dd7d087f03cd010167d91f33e">useFreeMethod</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Has to be a subclass since we need operator=. We could templatise this instead of repeating per <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr&lt;T&gt; : public SharedPtr&lt;T&gt; </dd></dl>

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00874">874</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="abbec119ed3bb38b54bb66e38f2ea2b1c"></a><!-- doxytag: member="Ogre::MeshPtr::MeshPtr" ref="abbec119ed3bb38b54bb66e38f2ea2b1c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html#abbec119ed3bb38b54bb66e38f2ea2b1c">Ogre::MeshPtr::MeshPtr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00877">877</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2f1add9de3a418de7ba564491697b93e"></a><!-- doxytag: member="Ogre::MeshPtr::MeshPtr" ref="a2f1add9de3a418de7ba564491697b93e" args="(Mesh *rep)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html#abbec119ed3bb38b54bb66e38f2ea2b1c">Ogre::MeshPtr::MeshPtr</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>rep</em></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00878">878</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4fdd20db6401f38a40b1ebfe6c97ab9b"></a><!-- doxytag: member="Ogre::MeshPtr::MeshPtr" ref="a4fdd20db6401f38a40b1ebfe6c97ab9b" args="(const MeshPtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html#abbec119ed3bb38b54bb66e38f2ea2b1c">Ogre::MeshPtr::MeshPtr</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMesh_8h_source.html#l00879">879</a> of file <a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="aebb20f59bcb21a19a197e290e705effd"></a><!-- doxytag: member="Ogre::MeshPtr::MeshPtr" ref="aebb20f59bcb21a19a197e290e705effd" args="(const ResourcePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html#abbec119ed3bb38b54bb66e38f2ea2b1c">Ogre::MeshPtr::MeshPtr</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac8d90e023455dc3299f48722e6068e4a"></a><!-- doxytag: member="Ogre::MeshPtr::bind" ref="ac8d90e023455dc3299f48722e6068e4a" args="(Mesh *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#ac8d90e023455dc3299f48722e6068e4a">bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  *&#160;</td>
          <td class="paramname"><em>rep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a>&#160;</td>
          <td class="paramname"><em>inFreeMethod</em> = <code>SPFM_DELETE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Binds rep to the SharedPtr. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Assumes that the SharedPtr is uninitialised! </dd></dl>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00167">167</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac3c7d33a2533d416826dbcebbc7a238e"></a><!-- doxytag: member="Ogre::MeshPtr::destroy" ref="ac3c7d33a2533d416826dbcebbc7a238e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MeshPtr.html#ac3c7d33a2533d416826dbcebbc7a238e">Ogre::MeshPtr::destroy</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override destroy since we need to delete <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> after fully defined. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1SharedPtr.html#afaba3332d99634ccbacef674fc46b773">Ogre::SharedPtr&lt; Mesh &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a2d8365d61e610b98e0d36d514ab29017"></a><!-- doxytag: member="Ogre::MeshPtr::freeMethod" ref="a2d8365d61e610b98e0d36d514ab29017" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a> <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a2d8365d61e610b98e0d36d514ab29017">freeMethod</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00181">181</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c3ed4a7b5574c4e53adec450fd537b0"></a><!-- doxytag: member="Ogre::MeshPtr::get" ref="a2c3ed4a7b5574c4e53adec450fd537b0" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a2c3ed4a7b5574c4e53adec450fd537b0">get</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00161">161</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15e055008751a7c20bdde38662d5f0a1"></a><!-- doxytag: member="Ogre::MeshPtr::getPointer" ref="a15e055008751a7c20bdde38662d5f0a1" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a15e055008751a7c20bdde38662d5f0a1">getPointer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00180">180</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a223db784efd7aa766792649de2f2a0"></a><!-- doxytag: member="Ogre::MeshPtr::isNull" ref="a8a223db784efd7aa766792649de2f2a0" args="(void) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a8a223db784efd7aa766792649de2f2a0">isNull</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00183">183</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6c7563f3047bcd454dffae2b297a87a1"></a><!-- doxytag: member="Ogre::MeshPtr::operator*" ref="a6c7563f3047bcd454dffae2b297a87a1" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> &amp; <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00159">159</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a756cec152c2db605fe7424da7f8e879b"></a><!-- doxytag: member="Ogre::MeshPtr::operator&#45;&gt;" ref="a756cec152c2db605fe7424da7f8e879b" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00160">160</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab011ed31dd7e9addd0850b2da9100052"></a><!-- doxytag: member="Ogre::MeshPtr::operator=" ref="ab011ed31dd7e9addd0850b2da9100052" args="(const ResourcePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a>&amp; Ogre::MeshPtr::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Operator used to convert a ResourcePtr to a <a class="el" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>. </p>

</div>
</div>
<a class="anchor" id="aa9225d4dac90501b6a5f0b2b49ea2eed"></a><!-- doxytag: member="Ogre::MeshPtr::release" ref="aa9225d4dac90501b6a5f0b2b49ea2eed" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#aa9225d4dac90501b6a5f0b2b49ea2eed">release</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00197">197</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae23c79e49621afdb17fc32f30519859f"></a><!-- doxytag: member="Ogre::MeshPtr::setNull" ref="ae23c79e49621afdb17fc32f30519859f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#ae23c79e49621afdb17fc32f30519859f">setNull</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00185">185</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="af07cad7e719e517472410d87f4e974ea"></a><!-- doxytag: member="Ogre::MeshPtr::swap" ref="af07cad7e719e517472410d87f4e974ea" args="(SharedPtr&lt; Mesh &gt; &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#af07cad7e719e517472410d87f4e974ea">swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt; &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00247">247</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd2b97578b72dd4abc33471a93ca4b91"></a><!-- doxytag: member="Ogre::MeshPtr::unique" ref="acd2b97578b72dd4abc33471a93ca4b91" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#acd2b97578b72dd4abc33471a93ca4b91">unique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00176">176</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a29e90ed7b4339cce1cc7e6be919e78bb"></a><!-- doxytag: member="Ogre::MeshPtr::useCount" ref="a29e90ed7b4339cce1cc7e6be919e78bb" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a29e90ed7b4339cce1cc7e6be919e78bb">useCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00177">177</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a21c3410c03ec3a4647c7aaa8e59d535d"></a><!-- doxytag: member="Ogre::MeshPtr::useCountPointer" ref="a21c3410c03ec3a4647c7aaa8e59d535d" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00178">178</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8a5094cabd90223647525fe162e94e57"></a><!-- doxytag: member="Ogre::MeshPtr::pRep" ref="a8a5094cabd90223647525fe162e94e57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a8a5094cabd90223647525fe162e94e57">pRep</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00063">63</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a52f9915e259723090662cca7c3c51d52"></a><!-- doxytag: member="Ogre::MeshPtr::pUseCount" ref="a52f9915e259723090662cca7c3c51d52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a52f9915e259723090662cca7c3c51d52">pUseCount</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00064">64</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a81eed90dd7d087f03cd010167d91f33e"></a><!-- doxytag: member="Ogre::MeshPtr::useFreeMethod" ref="a81eed90dd7d087f03cd010167d91f33e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a> <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a81eed90dd7d087f03cd010167d91f33e">useFreeMethod</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00065">65</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMesh_8h_source.html">OgreMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
